Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# style.hh File Reference

A GtkStyle C++ wrapper interface. More...

`#include <xfc/gdk/color.hh>`
`#include <xfc/gdk/types.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <gtk/gtkstyle.h>`
`#include <xfc/gtk/inline/style.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Pango
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Style
    A GtkStyle C++ wrapper class. More...

## Drawing Methods

- void draw_insertion_cursor (Widget &widget, Gdk::Drawable &drawable, const Gdk::Rectangle &location, bool is_primary, TextDirection direction, bool draw_arrow, const Gdk::Rectangle *area=0)
    Draws a text caret on a drawable at the specified location.

## Detailed Description

A GtkStyle C++ wrapper interface.

Provides Style, an object used to store a widget's style.

## Function Documentation

void draw_insertion_cursor | ( | Widget & | widget,
|  | Gdk::Drawable & | drawable,
|  | const Gdk::Rectangle & | location,
|  | bool | is_primary,
|  | TextDirection | direction,
|  | bool | draw_arrow,
|  | const Gdk::Rectangle * | area = `0`
| ) |

Draws a text caret on a drawable at the specified location.

Parameters:

  | widget | A Gtk::Widget.
  | drawable | A Gdk::Drawable owned by widget.
  | location | The location where to draw the cursor (location.width() is ignored).
  | is_primary | If the cursor should be the primary cursor color.
  | direction | Whether the cursor is left-to-right or right-to-left (should never be Gtk::TEXT_DIR_NONE).
  | draw_arrow | Whether a directional arrow should be drawn on the cursor. .
  | area | The rectangle to which the output is clipped, or null if the output should not be clipped.

This method is not a style function but merely a convenience function for drawing the standard cursor shape. The text direction should never be Gtk::TEXT_DIR_NONE. The draw_arrow parameter should be false unless the cursor is split.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3